Computer Security
[EN] securityvulns.ru no-pyccku


PHP DoS
Published:21.01.2012
Source:
SecurityVulns ID:12159
Type:library
Threat Level:
5/10
Description:NULL pointer dereference because on unchecked zend_strndup return value.
Affected:PHP : PHP 5.3
CVE:CVE-2011-4153 (PHP 5.3.8 does not always check the return value of the zend_strndup function, which might allow remote attackers to cause a denial of service (NULL pointer dereference and application crash) via crafted input to an application that performs strndup operations on untrusted string data, as demonstrated by the define function in zend_builtin_functions.c, and unspecified functions in ext/soap/php_sdl.c, ext/standard/syslog.c, ext/standard/browscap.c, ext/oci8/oci8.c, ext/com_dotnet/com_typeinfo.c, and main/php_open_temporary_file.c.)
Original documentdocumentcxib_(at)_cxsecurity.com, PHP 5.3.8 Multiple vulnerabilities (21.01.2012)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod